import { defineComponent } from '@vue/composition-api';
import { getShopeeShopId } from '@/api/shopee/client/shop/index';

export default defineComponent({
  data() {
    /** @type {ShopeeShopId} */
    const shopData = null;
    return {
      shopData,
    };
  },
  async created() {
    this.shopData = await getShopeeShopId(this.shopId, 'popup');
    this.SetAppTitle(this.shopData.name);
  },
});
